import 'dart:ui';

import 'package:flutter_test/flutter_test.dart';
import 'package:garden_planner/entities/plant_time.dart';

void main() {
  test('PlantTime entity test', () {
    // Arrange
    final DateTime from = DateTime(2023, 6, 1);
    final DateTime until = DateTime(2023, 6, 30);
    const String description = 'test Beschreibung';
    const Color color = Color(0xFF00FF00);
    const bool action = true;

    // Act
    final plantTime = PlantTime(
      from: from,
      until: until,
      description: description,
      color: color,
      action: action,
    );

    // Assert
    expect(plantTime.from, equals(from), reason: 'from should be $from');
    expect(plantTime.until, equals(until), reason: 'until should be $until');
    expect(plantTime.description, equals(description),
        reason: 'Description should be $description');
    expect(plantTime.color, equals(color), reason: 'Color should be $color');
    expect(plantTime.action, equals(action),
        reason: 'Action should be $action');
  });
}
